ONVIF::Media::Types::ColorOptions(3)

NAME
ONVIF::Media::Types::ColorOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType ColorOptions from the namespace http://www.onvif.org/ver10/schema.

http://www.onvif.org/ver10/colorspace/HSV - HSV colourspace

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ColorList

•   ColorspaceRange

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::ColorOptions
   # One of the following elements.
   # No occurrence checks yet, so be sure to pass just one...
   ColorList => ,
   ColorspaceRange =>  { # ONVIF::Media::Types::ColorspaceRange
     X =>  { # ONVIF::Media::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Y =>  { # ONVIF::Media::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Z =>  { # ONVIF::Media::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Colorspace =>  $some_value, # anyURI
   },
 },

AUTHOR
Generated by SOAP::WSDL